Subject: bug#50592: Can't guix system init with grub-efi-bootloader from system that boots using grub-bootloader

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 15 Sep 2021 10:25:21 +0200

Hello Zacchaeus.

On Tue, Sep 14, 2021 at 06:33:17PM -0400, Zacchaeus Scheffer wrote:
> I want to put grub-efi-bootloader
> (EFI) on the new drive install (for use on another computer).

With ordinary configuration, I believe installing GRUB EFI for use on
another computer is impossible, because grub install for EFI wants to
store boot information on the main board’s NVRAM, not on the disk.
Except when installing on a USB flash drive using the --removable
option, that is.

You could try manually executing the command

On Tue, Sep 14, 2021 at 06:33:17PM -0400, Zacchaeus Scheffer wrote:
> '/gnu/store/w8v5d1i6xfqlpj78w89jg1x7f8dchh4k-grub-efi-2.06/sbin/grub-install
> --boot-directory /mnt/jake/boot --bootloader-id=Guix --efi-directory
> /boot/efi'

as if you were installing to a USB flash drive, by adding --removable
and otherwise using exactly the same command.  It might work, since
you already have installed the system successfully except for the
bootloader.

This is in imitation of what the GRUB manual says:
> For removable installs you have to use --removable and specify both --boot-directory and --efi-directory: 
>
> # grub-install --efi-directory=/mnt/usb --boot-directory=/mnt/usb/boot --removable

I’m not sure enough of what can be done, but I believe this bug is a
WONTFIX.  What do others think?

Regards,
Florian